### Constructor

# GtkSource Annotation new

#### Declaration [src]

    GtkSourceAnnotation*
    gtk_source_annotation_new (
      const char* description,
      GIcon* icon,
      int line,
      GtkSourceAnnotationStyle style
    )

#### Description

No description available.

#### Parameters

`description`

  Type: `const char*`

  The text to display or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon`

  Type: `GIcon`

  The icon name to display or `NULL`.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`line`

  Type: `int`

  The line where to display the annotation.

`style`

  Type: `GtkSourceAnnotationStyle`

  `GtkSourceAnnotationStyle`.

#### Return value

Type: `GtkSourceAnnotation`

A new `GtkSourceAnnotation`.

The caller of the function takes ownership of the data, and is responsible for freeing it.